Index: squid/ntlm_auth_modules/NTLMSSP/ntlm_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/Attic/ntlm_auth.c,v
retrieving revision 1.1.2.10.2.7
retrieving revision 1.1.2.10.2.8
diff -u -r1.1.2.10.2.7 -r1.1.2.10.2.8
--- squid/ntlm_auth_modules/NTLMSSP/ntlm_auth.c	7 Jan 2001 07:56:15 -0000	1.1.2.10.2.7
+++ squid/ntlm_auth_modules/NTLMSSP/ntlm_auth.c	7 Jan 2001 09:48:29 -0000	1.1.2.10.2.8
@@ -40,14 +40,14 @@
 
 #define BUFFER_SIZE 10240
 
-#if HAVE_STDLIB_H   
-#include <stdlib.h>   
-#endif 
+#if HAVE_STDLIB_H
+#include <stdlib.h>
+#endif
 
 
-#if HAVE_GETOPT_H   
-#include <getopt.h>   
-#endif 
+#if HAVE_GETOPT_H
+#include <getopt.h>
+#endif
 
 
 
@@ -58,40 +58,46 @@
 #include <ctype.h>
 #endif
 
-char load_balance=0, failover_enabled=0, protocol_pedantic=0;
+char load_balance = 0, failover_enabled = 0, protocol_pedantic = 0;
 
-dc *controllers=NULL;
-int numcontrollers=0;
+dc *controllers = NULL;
+int numcontrollers = 0;
 dc *current_dc;
 
 /* housekeeping cycle and periodic operations */
-static unsigned char need_dc_resurrection=0;
-static void resurrect_dead_dc () {
-	int j;
-	dc *c=controllers;
-
-	need_dc_resurrection=0;
-	for (j=0;j<numcontrollers;j++)
-		if (c->status!=DC_OK && is_dc_ok(c->domain,c->controller))
-			c->status=DC_OK;
+static unsigned char need_dc_resurrection = 0;
+static void 
+resurrect_dead_dc()
+{
+    int j;
+    dc *c = controllers;
+
+    need_dc_resurrection = 0;
+    for (j = 0; j < numcontrollers; j++)
+	if (c->status != DC_OK && is_dc_ok(c->domain, c->controller))
+	    c->status = DC_OK;
 }
 
 /* makes a null-terminated string upper-case. Changes CONTENTS! */
-static void uc (char *string) {
-	char *p=string, c;
-	while ((c=*p)) {
-		*p=toupper(c);
-		p++;
-	}
+static void 
+uc(char *string)
+{
+    char *p = string, c;
+    while ((c = *p)) {
+	*p = toupper(c);
+	p++;
+    }
 }
 
 /* makes a null-terminated string lower-case. Changes CONTENTS! */
-static void lc (char *string) {
-	char *p=string, c;
-	while ((c=*p)) {
-		*p=tolower(c);
-		p++;
-	}
+static void 
+lc(char *string)
+{
+    char *p = string, c;
+    while ((c = *p)) {
+	*p = tolower(c);
+	p++;
+    }
 }
 
 /*
@@ -100,228 +106,231 @@
  * -f fail-over to another DC if DC connection fails.
  * domain\controller ...
  */
-void process_options (int argc, char *argv[]) {
-	int opt,j,had_error=0;
-	dc *new_dc=NULL, *last_dc=NULL;
-	while (-1!=(opt=getopt(argc,argv,"bf"))) {
-		switch(opt) {
-		case 'b':
-			load_balance=1;
-			break;
-		case 'f':
-			failover_enabled=1;
-			break;
-		default:
-			fprintf(stderr,"unknown option: -%c. Exiting\n",opt);
-			had_error=1;
-		}
-	}
-	if (had_error)
-		exit(1);
-	/* Okay, now begin filling controllers up */
-	/* we can avoid memcpy-ing, and just reuse argv[] */
-	for (j=optind;j<argc;j++) {
-		char *d, *c;
-		d=argv[j];
-		if (NULL==(c=strchr(d,'\\')) && NULL==(c=strchr(d,'/'))) {
-			fprintf(stderr,"Couldn't grok domain-controller %s\n",d);
-			continue;
-		}
-		*c++='\0';
-		new_dc=(dc *)malloc(sizeof(dc));
-		if (!new_dc) {
-			fprintf(stderr,"Malloc error while parsing DC options\n");
-			continue;
-		}
-		/* capitalize */
-		uc(c);
-		uc(d);
-		numcontrollers++;
-		new_dc->domain=d;
-		new_dc->controller=c;
-		new_dc->status=DC_OK;
-		if (controllers==NULL) {		/* first controller */
-			controllers=new_dc;
-			last_dc=new_dc;
-		} else {
-			last_dc->next=new_dc;			/* can't be null */
-			last_dc=new_dc;
-		}
-	}
-	if (numcontrollers==0) {
-		fprintf(stderr,"You must specify at least one domain-controller!\n");
-		exit(1);
-	}
-	last_dc->next=controllers;		/* close the queue, now it's circular */
+void 
+process_options(int argc, char *argv[])
+{
+    int opt, j, had_error = 0;
+    dc *new_dc = NULL, *last_dc = NULL;
+    while (-1 != (opt = getopt(argc, argv, "bf"))) {
+	switch (opt) {
+	case 'b':
+	    load_balance = 1;
+	    break;
+	case 'f':
+	    failover_enabled = 1;
+	    break;
+	default:
+	    fprintf(stderr, "unknown option: -%c. Exiting\n", opt);
+	    had_error = 1;
+	}
+    }
+    if (had_error)
+	exit(1);
+    /* Okay, now begin filling controllers up */
+    /* we can avoid memcpy-ing, and just reuse argv[] */
+    for (j = optind; j < argc; j++) {
+	char *d, *c;
+	d = argv[j];
+	if (NULL == (c = strchr(d, '\\')) && NULL == (c = strchr(d, '/'))) {
+	    fprintf(stderr, "Couldn't grok domain-controller %s\n", d);
+	    continue;
+	}
+	*c++ = '\0';
+	new_dc = (dc *) malloc(sizeof(dc));
+	if (!new_dc) {
+	    fprintf(stderr, "Malloc error while parsing DC options\n");
+	    continue;
+	}
+	/* capitalize */
+	uc(c);
+	uc(d);
+	numcontrollers++;
+	new_dc->domain = d;
+	new_dc->controller = c;
+	new_dc->status = DC_OK;
+	if (controllers == NULL) {	/* first controller */
+	    controllers = new_dc;
+	    last_dc = new_dc;
+	} else {
+	    last_dc->next = new_dc;	/* can't be null */
+	    last_dc = new_dc;
+	}
+    }
+    if (numcontrollers == 0) {
+	fprintf(stderr, "You must specify at least one domain-controller!\n");
+	exit(1);
+    }
+    last_dc->next = controllers;	/* close the queue, now it's circular */
 }
 
 /* tries connecting to the domain controllers in the "controllers" ring,
  * with failover if the adequate option is specified.
  */
-const char *obtain_challenge() {
-	int j=0;
-	const char *ch;
-	for (j=0;j<numcontrollers;j++) {
-		if (current_dc->status == DC_OK) {
-			ch=make_challenge(current_dc->domain,current_dc->controller);
-			if (ch)
-				return ch; /* All went OK, returning */
-			/* Huston, we've got a problem. Take this DC out of the loop */
-			current_dc->status=DC_DEAD;
-			need_dc_resurrection=1;
-		}
-		if (failover_enabled==0) /* No failover. Just return */
-			return NULL;
-		/* Try with the next */
-		current_dc=current_dc->next;
-	}
-	return NULL;
+const char *
+obtain_challenge()
+{
+    int j = 0;
+    const char *ch;
+    for (j = 0; j < numcontrollers; j++) {
+	if (current_dc->status == DC_OK) {
+	    ch = make_challenge(current_dc->domain, current_dc->controller);
+	    if (ch)
+		return ch;	/* All went OK, returning */
+	    /* Huston, we've got a problem. Take this DC out of the loop */
+	    current_dc->status = DC_DEAD;
+	    need_dc_resurrection = 1;
+	}
+	if (failover_enabled == 0)	/* No failover. Just return */
+	    return NULL;
+	/* Try with the next */
+	current_dc = current_dc->next;
+    }
+    return NULL;
 }
 
-void manage_request () {
-	ntlmhdr *fast_header;
-	char buf[10240];
-	const char *ch;
-	char *ch2, *decoded, *cred;
-	int plen;
-
-	if(fgets(buf, BUFFER_SIZE, stdin) == NULL) exit(0); /* BIIG buffer */
-	ch2=memchr(buf,'\n', BUFFER_SIZE); /* safer against overrun than strchr */
-	if (ch2) {
-	    *ch2='\0'; /* terminate the string at newline. */
-	    ch = ch2;
-	}
-	debug("ntlm authenticator. Got '%s' from Squid\n",buf);
-
-	if (memcmp(buf,"KK ",3)==0) {	/* authenticate-request */
-		/* figure out what we got */
-		decoded=base64_decode(buf+3);
-		/* Note: we don't need to manage memory at this point, since
-		 *  base64_decode returns a pointer to static storage.
-		 */
-		
-		if (!decoded) {							/* decoding failure, return error */
-			SEND("NA Packet format error, couldn't base64-decode");
-			return;
-		}
-
-		/* fast-track-decode request type. */
-		fast_header=(struct _ntlmhdr *)decoded;
-	
-		/* sanity-check: it IS a NTLMSSP packet, isn't it? */
-		if (memcmp(fast_header->signature,"NTLMSSP",8) != 0) {
-			SEND("NA Broken authentication packet");
-			return;
-		}
-
-		switch (fast_header->type) {
-		case NTLM_NEGOTIATE:
-			SEND("NA Invalid negotiation request received");
-			return;
-			/* notreached */
-		case NTLM_CHALLENGE:
-			SEND("NA Got a challenge. We refuse to have our authority disputed");
-			return;
-			/* notreached */
-		case NTLM_AUTHENTICATE:
-			/* check against the DC */
-			plen=strlen(buf)*3/4; /* we only need it here. Optimization */
-			cred=ntlm_check_auth((ntlm_authenticate *)decoded, plen);
-			if (cred==NULL) {
-				switch (ntlm_errno) {
-				case NTLM_LOGON_ERROR:
-					SEND("NA authentication failure");
-					dc_disconnect();
-					current_dc=current_dc->next;
-					return;
-				case NTLM_SERVER_ERROR:
-					SEND("BH Domain Controller Error");
-					dc_disconnect();
-					current_dc=current_dc->next;
-					return;
-				case NTLM_PROTOCOL_ERROR:
-					SEND("BH Domain Controller communication error");
-					dc_disconnect();
-					current_dc=current_dc->next;
-					return;
-				case NTLM_NOT_CONNECTED:
-					SEND("BH Domain Controller (or network) died on us");
-					dc_disconnect();
-					current_dc=current_dc->next;
-					return;
-				case NTLM_BAD_PROTOCOL:
-					SEND("BH Domain controller failure");
-					dc_disconnect();
-					current_dc=current_dc->next;
-					return;
-				default:
-					SEND("BH Unhandled error while talking to Domain Controller");
-					dc_disconnect();
-					current_dc=current_dc->next;
-					return;
-				}
-			}
-			lc(cred); /* let's lowercase them for our convenience */
-			SEND2("AF %s",cred);
-			return;
+void 
+manage_request()
+{
+    ntlmhdr *fast_header;
+    char buf[10240];
+    const char *ch;
+    char *ch2, *decoded, *cred;
+    int plen;
+
+    if (fgets(buf, BUFFER_SIZE, stdin) == NULL)
+	exit(0);		/* BIIG buffer */
+    ch2 = memchr(buf, '\n', BUFFER_SIZE);	/* safer against overrun than strchr */
+    if (ch2) {
+	*ch2 = '\0';		/* terminate the string at newline. */
+	ch = ch2;
+    }
+    debug("ntlm authenticator. Got '%s' from Squid\n", buf);
+
+    if (memcmp(buf, "KK ", 3) == 0) {	/* authenticate-request */
+	/* figure out what we got */
+	decoded = base64_decode(buf + 3);
+	/* Note: we don't need to manage memory at this point, since
+	 *  base64_decode returns a pointer to static storage.
+	 */
+
+	if (!decoded) {		/* decoding failure, return error */
+	    SEND("NA Packet format error, couldn't base64-decode");
+	    return;
+	}
+	/* fast-track-decode request type. */
+	fast_header = (struct _ntlmhdr *) decoded;
+
+	/* sanity-check: it IS a NTLMSSP packet, isn't it? */
+	if (memcmp(fast_header->signature, "NTLMSSP", 8) != 0) {
+	    SEND("NA Broken authentication packet");
+	    return;
+	}
+	switch (fast_header->type) {
+	case NTLM_NEGOTIATE:
+	    SEND("NA Invalid negotiation request received");
+	    return;
+	    /* notreached */
+	case NTLM_CHALLENGE:
+	    SEND("NA Got a challenge. We refuse to have our authority disputed");
+	    return;
+	    /* notreached */
+	case NTLM_AUTHENTICATE:
+	    /* check against the DC */
+	    plen = strlen(buf) * 3 / 4;		/* we only need it here. Optimization */
+	    cred = ntlm_check_auth((ntlm_authenticate *) decoded, plen);
+	    if (cred == NULL) {
+		switch (ntlm_errno) {
+		case NTLM_LOGON_ERROR:
+		    SEND("NA authentication failure");
+		    dc_disconnect();
+		    current_dc = current_dc->next;
+		    return;
+		case NTLM_SERVER_ERROR:
+		    SEND("BH Domain Controller Error");
+		    dc_disconnect();
+		    current_dc = current_dc->next;
+		    return;
+		case NTLM_PROTOCOL_ERROR:
+		    SEND("BH Domain Controller communication error");
+		    dc_disconnect();
+		    current_dc = current_dc->next;
+		    return;
+		case NTLM_NOT_CONNECTED:
+		    SEND("BH Domain Controller (or network) died on us");
+		    dc_disconnect();
+		    current_dc = current_dc->next;
+		    return;
+		case NTLM_BAD_PROTOCOL:
+		    SEND("BH Domain controller failure");
+		    dc_disconnect();
+		    current_dc = current_dc->next;
+		    return;
 		default:
-			SEND("BH unknown authentication packet type");
-			return;
+		    SEND("BH Unhandled error while talking to Domain Controller");
+		    dc_disconnect();
+		    current_dc = current_dc->next;
+		    return;
 		}
-
-		
-		return;
+	    }
+	    lc(cred);		/* let's lowercase them for our convenience */
+	    SEND2("AF %s", cred);
+	    return;
+	default:
+	    SEND("BH unknown authentication packet type");
+	    return;
 	}
 
-	if (memcmp(buf,"YR",2)==0) {	/* refresh-request */
-		dc_disconnect();
-		ch=obtain_challenge();
-		while (ch==NULL) {
-			sleep(30);
-			ch=obtain_challenge();
-		}
-		SEND2("TT %s",ch);
-		if (need_dc_resurrection) /* looks like a good moment... */
-			resurrect_dead_dc();
-		return;
-	}
 
-	SEND("BH Helper detected protocol error");
 	return;
-	/********* END ********/
-
-	
-}
+    }
+    if (memcmp(buf, "YR", 2) == 0) {	/* refresh-request */
+	dc_disconnect();
+	ch = obtain_challenge();
+	while (ch == NULL) {
+	    sleep(30);
+	    ch = obtain_challenge();
+	}
+	SEND2("TT %s", ch);
+	if (need_dc_resurrection)	/* looks like a good moment... */
+	    resurrect_dead_dc();
+	return;
+    }
+    SEND("BH Helper detected protocol error");
+    return;
+/********* END ********/
 
-int main(int argc, char *argv[]) {
 
-	debug("starting up...\n");
-	
-	process_options(argc,argv);
-
-	debug("options processed OK\n");
-
-	/* initialize FDescs */
-	setbuf(stdout,NULL);
-	setbuf(stderr,NULL);
-
-	/* select the first domain controller we're going to use */
-	current_dc=controllers;
-	if (load_balance!=0 && numcontrollers > 1) {
-		int n;
-		pid_t pid=getpid();
-		n=pid%numcontrollers;
-		debug("load balancing. Selected controller #%d\n",n);
-		while (n > 0) {
-			current_dc=current_dc->next;
-			n--;
-		}
-	}
-
-	while (1) {
-		debug("managing request\n");
-		manage_request();
-	}
-	return 0;
 }
 
+int 
+main(int argc, char *argv[])
+{
+
+    debug("starting up...\n");
+
+    process_options(argc, argv);
+
+    debug("options processed OK\n");
+
+    /* initialize FDescs */
+    setbuf(stdout, NULL);
+    setbuf(stderr, NULL);
+
+    /* select the first domain controller we're going to use */
+    current_dc = controllers;
+    if (load_balance != 0 && numcontrollers > 1) {
+	int n;
+	pid_t pid = getpid();
+	n = pid % numcontrollers;
+	debug("load balancing. Selected controller #%d\n", n);
+	while (n > 0) {
+	    current_dc = current_dc->next;
+	    n--;
+	}
+    }
+    while (1) {
+	debug("managing request\n");
+	manage_request();
+    }
+    return 0;
+}
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/byteorder.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/byteorder.h,v
retrieving revision 1.1.2.1.2.2
retrieving revision 1.1.2.1.2.3
diff -u -r1.1.2.1.2.2 -r1.1.2.1.2.3
--- squid/ntlm_auth_modules/NTLMSSP/smbval/byteorder.h	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.2
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/byteorder.h	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.3
@@ -1,33 +1,33 @@
 /* 
-   Unix SMB/Netbios implementation.
-   Version 1.9.
-   SMB Byte handling
-   Copyright (C) Andrew Tridgell 1992-1995
-   
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * Unix SMB/Netbios implementation.
+ * Version 1.9.
+ * SMB Byte handling
+ * Copyright (C) Andrew Tridgell 1992-1995
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 /*
-   This file implements macros for machine independent short and 
-   int manipulation
-*/
+ * This file implements macros for machine independent short and 
+ * int manipulation
+ */
 
 #undef CAREFUL_ALIGNMENT
 
 /* we know that the 386 can handle misalignment and has the "right" 
-   byteorder */
+ * byteorder */
 #ifdef __i386__
 #define CAREFUL_ALIGNMENT 0
 #endif
@@ -54,11 +54,11 @@
 #define SIVALS(buf,pos,val) SIVALX((buf),(pos),((int32)(val)))
 #else
 /* this handles things for architectures like the 386 that can handle
-   alignment errors */
+ * alignment errors */
 /*
-   WARNING: This section is dependent on the length of int16 and int32
-   being correct 
-*/
+ * WARNING: This section is dependent on the length of int16 and int32
+ * being correct 
+ */
 #define SVAL(buf,pos) (*(uint16 *)((char *)(buf) + (pos)))
 #define IVAL(buf,pos) (*(uint32 *)((char *)(buf) + (pos)))
 #define SVALS(buf,pos) (*(int16 *)((char *)(buf) + (pos)))
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/md4.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/md4.c,v
retrieving revision 1.1.2.1.2.2
retrieving revision 1.1.2.1.2.3
diff -u -r1.1.2.1.2.2 -r1.1.2.1.2.3
--- squid/ntlm_auth_modules/NTLMSSP/smbval/md4.c	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.2
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/md4.c	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.3
@@ -1,54 +1,58 @@
 /* 
-   Unix SMB/Netbios implementation.
-   Version 1.9.
-   a implementation of MD4 designed for use in the SMB authentication protocol
-   Copyright (C) Andrew Tridgell 1997
-   
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * Unix SMB/Netbios implementation.
+ * Version 1.9.
+ * a implementation of MD4 designed for use in the SMB authentication protocol
+ * Copyright (C) Andrew Tridgell 1997
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 
 /* NOTE: This code makes no attempt to be fast! 
-
-   It assumes that a int is at least 32 bits long
-*/
+ * 
+ * It assumes that a int is at least 32 bits long
+ */
 #include <string.h>
 
 typedef unsigned int uint32;
 
 static uint32 A, B, C, D;
 
-static uint32 F(uint32 X, uint32 Y, uint32 Z)
+static uint32 
+F(uint32 X, uint32 Y, uint32 Z)
 {
-	return (X&Y) | ((~X)&Z);
+    return (X & Y) | ((~X) & Z);
 }
 
-static uint32 G(uint32 X, uint32 Y, uint32 Z)
+static uint32 
+G(uint32 X, uint32 Y, uint32 Z)
 {
-	return (X&Y) | (X&Z) | (Y&Z); 
+    return (X & Y) | (X & Z) | (Y & Z);
 }
 
-static uint32 H(uint32 X, uint32 Y, uint32 Z)
+static uint32 
+H(uint32 X, uint32 Y, uint32 Z)
 {
-	return X^Y^Z;
+    return X ^ Y ^ Z;
 }
 
-static uint32 lshift(uint32 x, int s)
+static uint32 
+lshift(uint32 x, int s)
 {
-	x &= 0xFFFFFFFF;
-	return ((x<<s)&0xFFFFFFFF) | (x>>(32-s));
+    x &= 0xFFFFFFFF;
+    return ((x << s) & 0xFFFFFFFF) | (x >> (32 - s));
 }
 
 #define ROUND1(a,b,c,d,k,s) a = lshift(a + F(b,c,d) + X[k], s)
@@ -56,117 +60,151 @@
 #define ROUND3(a,b,c,d,k,s) a = lshift(a + H(b,c,d) + X[k] + (uint32)0x6ED9EBA1,s)
 
 /* this applies md4 to 64 byte chunks */
-static void mdfour64(uint32 *M)
+static void 
+mdfour64(uint32 * M)
 {
-	int j;
-	uint32 AA, BB, CC, DD;
-	uint32 X[16];
-
-	for (j=0;j<16;j++)
-		X[j] = M[j];
-
-	AA = A; BB = B; CC = C; DD = D;
-
-        ROUND1(A,B,C,D,  0,  3);  ROUND1(D,A,B,C,  1,  7);  
-	ROUND1(C,D,A,B,  2, 11);  ROUND1(B,C,D,A,  3, 19);
-        ROUND1(A,B,C,D,  4,  3);  ROUND1(D,A,B,C,  5,  7);  
-	ROUND1(C,D,A,B,  6, 11);  ROUND1(B,C,D,A,  7, 19);
-        ROUND1(A,B,C,D,  8,  3);  ROUND1(D,A,B,C,  9,  7);  
-	ROUND1(C,D,A,B, 10, 11);  ROUND1(B,C,D,A, 11, 19);
-        ROUND1(A,B,C,D, 12,  3);  ROUND1(D,A,B,C, 13,  7);  
-	ROUND1(C,D,A,B, 14, 11);  ROUND1(B,C,D,A, 15, 19);	
-
-        ROUND2(A,B,C,D,  0,  3);  ROUND2(D,A,B,C,  4,  5);  
-	ROUND2(C,D,A,B,  8,  9);  ROUND2(B,C,D,A, 12, 13);
-        ROUND2(A,B,C,D,  1,  3);  ROUND2(D,A,B,C,  5,  5);  
-	ROUND2(C,D,A,B,  9,  9);  ROUND2(B,C,D,A, 13, 13);
-        ROUND2(A,B,C,D,  2,  3);  ROUND2(D,A,B,C,  6,  5);  
-	ROUND2(C,D,A,B, 10,  9);  ROUND2(B,C,D,A, 14, 13);
-        ROUND2(A,B,C,D,  3,  3);  ROUND2(D,A,B,C,  7,  5);  
-	ROUND2(C,D,A,B, 11,  9);  ROUND2(B,C,D,A, 15, 13);
-
-	ROUND3(A,B,C,D,  0,  3);  ROUND3(D,A,B,C,  8,  9);  
-	ROUND3(C,D,A,B,  4, 11);  ROUND3(B,C,D,A, 12, 15);
-        ROUND3(A,B,C,D,  2,  3);  ROUND3(D,A,B,C, 10,  9);  
-	ROUND3(C,D,A,B,  6, 11);  ROUND3(B,C,D,A, 14, 15);
-        ROUND3(A,B,C,D,  1,  3);  ROUND3(D,A,B,C,  9,  9);  
-	ROUND3(C,D,A,B,  5, 11);  ROUND3(B,C,D,A, 13, 15);
-        ROUND3(A,B,C,D,  3,  3);  ROUND3(D,A,B,C, 11,  9);  
-	ROUND3(C,D,A,B,  7, 11);  ROUND3(B,C,D,A, 15, 15);
-
-	A += AA; B += BB; C += CC; D += DD;
-	
-	A &= 0xFFFFFFFF; B &= 0xFFFFFFFF;
-	C &= 0xFFFFFFFF; D &= 0xFFFFFFFF;
-
-	for (j=0;j<16;j++)
-		X[j] = 0;
-}
-
-static void copy64(uint32 *M, unsigned char *in)
-{
-	int i;
-
-	for (i=0;i<16;i++)
-		M[i] = (in[i*4+3]<<24) | (in[i*4+2]<<16) |
-			(in[i*4+1]<<8) | (in[i*4+0]<<0);
-}
-
-static void copy4(unsigned char *out,uint32 x)
-{
-	out[0] = x&0xFF;
-	out[1] = (x>>8)&0xFF;
-	out[2] = (x>>16)&0xFF;
-	out[3] = (x>>24)&0xFF;
+    int j;
+    uint32 AA, BB, CC, DD;
+    uint32 X[16];
+
+    for (j = 0; j < 16; j++)
+	X[j] = M[j];
+
+    AA = A;
+    BB = B;
+    CC = C;
+    DD = D;
+
+    ROUND1(A, B, C, D, 0, 3);
+    ROUND1(D, A, B, C, 1, 7);
+    ROUND1(C, D, A, B, 2, 11);
+    ROUND1(B, C, D, A, 3, 19);
+    ROUND1(A, B, C, D, 4, 3);
+    ROUND1(D, A, B, C, 5, 7);
+    ROUND1(C, D, A, B, 6, 11);
+    ROUND1(B, C, D, A, 7, 19);
+    ROUND1(A, B, C, D, 8, 3);
+    ROUND1(D, A, B, C, 9, 7);
+    ROUND1(C, D, A, B, 10, 11);
+    ROUND1(B, C, D, A, 11, 19);
+    ROUND1(A, B, C, D, 12, 3);
+    ROUND1(D, A, B, C, 13, 7);
+    ROUND1(C, D, A, B, 14, 11);
+    ROUND1(B, C, D, A, 15, 19);
+
+    ROUND2(A, B, C, D, 0, 3);
+    ROUND2(D, A, B, C, 4, 5);
+    ROUND2(C, D, A, B, 8, 9);
+    ROUND2(B, C, D, A, 12, 13);
+    ROUND2(A, B, C, D, 1, 3);
+    ROUND2(D, A, B, C, 5, 5);
+    ROUND2(C, D, A, B, 9, 9);
+    ROUND2(B, C, D, A, 13, 13);
+    ROUND2(A, B, C, D, 2, 3);
+    ROUND2(D, A, B, C, 6, 5);
+    ROUND2(C, D, A, B, 10, 9);
+    ROUND2(B, C, D, A, 14, 13);
+    ROUND2(A, B, C, D, 3, 3);
+    ROUND2(D, A, B, C, 7, 5);
+    ROUND2(C, D, A, B, 11, 9);
+    ROUND2(B, C, D, A, 15, 13);
+
+    ROUND3(A, B, C, D, 0, 3);
+    ROUND3(D, A, B, C, 8, 9);
+    ROUND3(C, D, A, B, 4, 11);
+    ROUND3(B, C, D, A, 12, 15);
+    ROUND3(A, B, C, D, 2, 3);
+    ROUND3(D, A, B, C, 10, 9);
+    ROUND3(C, D, A, B, 6, 11);
+    ROUND3(B, C, D, A, 14, 15);
+    ROUND3(A, B, C, D, 1, 3);
+    ROUND3(D, A, B, C, 9, 9);
+    ROUND3(C, D, A, B, 5, 11);
+    ROUND3(B, C, D, A, 13, 15);
+    ROUND3(A, B, C, D, 3, 3);
+    ROUND3(D, A, B, C, 11, 9);
+    ROUND3(C, D, A, B, 7, 11);
+    ROUND3(B, C, D, A, 15, 15);
+
+    A += AA;
+    B += BB;
+    C += CC;
+    D += DD;
+
+    A &= 0xFFFFFFFF;
+    B &= 0xFFFFFFFF;
+    C &= 0xFFFFFFFF;
+    D &= 0xFFFFFFFF;
+
+    for (j = 0; j < 16; j++)
+	X[j] = 0;
+}
+
+static void 
+copy64(uint32 * M, unsigned char *in)
+{
+    int i;
+
+    for (i = 0; i < 16; i++)
+	M[i] = (in[i * 4 + 3] << 24) | (in[i * 4 + 2] << 16) |
+	    (in[i * 4 + 1] << 8) | (in[i * 4 + 0] << 0);
+}
+
+static void 
+copy4(unsigned char *out, uint32 x)
+{
+    out[0] = x & 0xFF;
+    out[1] = (x >> 8) & 0xFF;
+    out[2] = (x >> 16) & 0xFF;
+    out[3] = (x >> 24) & 0xFF;
 }
 
 /* produce a md4 message digest from data of length n bytes */
-void mdfour(unsigned char *out, unsigned char *in, int n)
+void 
+mdfour(unsigned char *out, unsigned char *in, int n)
 {
-	unsigned char buf[128];
-	uint32 M[16];
-	uint32 b = n * 8;
-	int i;
-
-	A = 0x67452301;
-	B = 0xefcdab89;
-	C = 0x98badcfe;
-	D = 0x10325476;
-
-	while (n > 64) {
-		copy64(M, in);
-		mdfour64(M);
-		in += 64;
-		n -= 64;
-	}
-
-	for (i=0;i<128;i++)
-		buf[i] = 0;
-	memcpy(buf, in, n);
-	buf[n] = 0x80;
-	
-	if (n <= 55) {
-		copy4(buf+56, b);
-		copy64(M, buf);
-		mdfour64(M);
-	} else {
-		copy4(buf+120, b); 
-		copy64(M, buf);
-		mdfour64(M);
-		copy64(M, buf+64);
-		mdfour64(M);
-	}
+    unsigned char buf[128];
+    uint32 M[16];
+    uint32 b = n * 8;
+    int i;
+
+    A = 0x67452301;
+    B = 0xefcdab89;
+    C = 0x98badcfe;
+    D = 0x10325476;
+
+    while (n > 64) {
+	copy64(M, in);
+	mdfour64(M);
+	in += 64;
+	n -= 64;
+    }
+
+    for (i = 0; i < 128; i++)
+	buf[i] = 0;
+    memcpy(buf, in, n);
+    buf[n] = 0x80;
 
-	for (i=0;i<128;i++)
-		buf[i] = 0;
+    if (n <= 55) {
+	copy4(buf + 56, b);
 	copy64(M, buf);
+	mdfour64(M);
+    } else {
+	copy4(buf + 120, b);
+	copy64(M, buf);
+	mdfour64(M);
+	copy64(M, buf + 64);
+	mdfour64(M);
+    }
+
+    for (i = 0; i < 128; i++)
+	buf[i] = 0;
+    copy64(M, buf);
+
+    copy4(out, A);
+    copy4(out + 4, B);
+    copy4(out + 8, C);
+    copy4(out + 12, D);
 
-	copy4(out, A);
-	copy4(out+4, B);
-	copy4(out+8, C);
-	copy4(out+12, D);
-
-	A = B = C = D = 0;
+    A = B = C = D = 0;
 }
-
-
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-common.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/rfcnb-common.h,v
retrieving revision 1.1.2.1.2.2
retrieving revision 1.1.2.1.2.3
diff -u -r1.1.2.1.2.2 -r1.1.2.1.2.3
--- squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-common.h	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.2
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-common.h	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.3
@@ -1,36 +1,34 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
-   Version 1.0
-   RFCNB Common Structures etc Defines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * RFCNB Common Structures etc Defines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 /* A data structure we need */
 
 typedef struct RFCNB_Pkt {
 
-  char * data;			/* The data in this portion */
-  int len;
-  struct RFCNB_Pkt *next;
+    char *data;			/* The data in this portion */
+    int len;
+    struct RFCNB_Pkt *next;
 
 } RFCNB_Pkt;
-
-
